Skip to content
Start here

Fetch all webhooks details

client.RealtimeKit.Webhooks.GetWebhooks(ctx, appID, query) (*WebhookGetWebhooksResponse, error)
GET/accounts/{account_id}/realtime/kit/{app_id}/webhooks

Returns details of all webhooks for an App.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appID string

The app identifier tag.

maxLength32
query WebhookGetWebhooksParams
AccountID param.Field[string]

The account identifier tag.

maxLength32
ReturnsExpand Collapse
type WebhookGetWebhooksResponse struct{…}
Data []WebhookGetWebhooksResponseData
ID string

ID of the webhook

formatuuid
CreatedAt Time

Timestamp when this webhook was created

formatdate-time
Enabled bool

Set to true if the webhook is active

Events []WebhookGetWebhooksResponseDataEvent

Events this webhook will send updates for

One of the following:
const WebhookGetWebhooksResponseDataEventMeetingStarted WebhookGetWebhooksResponseDataEvent = "meeting.started"
const WebhookGetWebhooksResponseDataEventMeetingEnded WebhookGetWebhooksResponseDataEvent = "meeting.ended"
const WebhookGetWebhooksResponseDataEventMeetingParticipantJoined WebhookGetWebhooksResponseDataEvent = "meeting.participantJoined"
const WebhookGetWebhooksResponseDataEventMeetingParticipantLeft WebhookGetWebhooksResponseDataEvent = "meeting.participantLeft"
const WebhookGetWebhooksResponseDataEventMeetingChatSynced WebhookGetWebhooksResponseDataEvent = "meeting.chatSynced"
const WebhookGetWebhooksResponseDataEventRecordingStatusUpdate WebhookGetWebhooksResponseDataEvent = "recording.statusUpdate"
const WebhookGetWebhooksResponseDataEventLivestreamingStatusUpdate WebhookGetWebhooksResponseDataEvent = "livestreaming.statusUpdate"
const WebhookGetWebhooksResponseDataEventMeetingTranscript WebhookGetWebhooksResponseDataEvent = "meeting.transcript"
const WebhookGetWebhooksResponseDataEventMeetingSummary WebhookGetWebhooksResponseDataEvent = "meeting.summary"
Name string

Name of the webhook

UpdatedAt Time

Timestamp when this webhook was updated

formatdate-time
URL string

URL the webhook will send events to

formaturi
Success bool

Fetch all webhooks details

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Webhooks.GetWebhooks(
    context.TODO(),
    "app_id",
    realtime_kit.WebhookGetWebhooksParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
{
  "data": [
    {
      "id": "0d1f069d-43bb-489a-ad8c-7eb95592ba8e",
      "created_at": "2022-05-28T07:01:53.075Z",
      "enabled": true,
      "events": [
        "meeting.started",
        "meeting.ended",
        "meeting.participantJoined",
        "meeting.participantLeft",
        "meeting.chatSynced",
        "recording.statusUpdate",
        "livestreaming.statusUpdate",
        "meeting.transcript",
        "meeting.summary"
      ],
      "name": "All events webhook",
      "updated_at": "2022-05-28T07:01:53.075Z",
      "url": "https://webhook.site/b23a5bbd-c7b0-4ced-a9e2-78ae7889897e"
    }
  ],
  "success": true
}
"{\n  message: \"Unauthorized\"\n}\n"
Returns Examples
{
  "data": [
    {
      "id": "0d1f069d-43bb-489a-ad8c-7eb95592ba8e",
      "created_at": "2022-05-28T07:01:53.075Z",
      "enabled": true,
      "events": [
        "meeting.started",
        "meeting.ended",
        "meeting.participantJoined",
        "meeting.participantLeft",
        "meeting.chatSynced",
        "recording.statusUpdate",
        "livestreaming.statusUpdate",
        "meeting.transcript",
        "meeting.summary"
      ],
      "name": "All events webhook",
      "updated_at": "2022-05-28T07:01:53.075Z",
      "url": "https://webhook.site/b23a5bbd-c7b0-4ced-a9e2-78ae7889897e"
    }
  ],
  "success": true
}
"{\n  message: \"Unauthorized\"\n}\n"